import IconRenderer from "@/components/common/renderer/IconRenderer";
import SectionWrapper from "./components/SectionWrapper";

const ServicesListSection = ({ content }) => {
  if (!content) return null;

  return (

      <SectionWrapper content={content} className={content.customStyle}>
        <div className="w-full grid grid-cols-1 md:grid-cols-3 gap-8 ">
          {content?.list?.map((item, index) => (
            <div
              className="w-full flex flex-col items-center gap-6"
              key={index}
            >
              <div className="flex items-center gap-2">
                <IconRenderer iconName={item.icon} size={40} color="#333333" />
                <h3 className="text-2xl font-bold">{item.title}</h3>
              </div>
              <h3 className="w-[60%] text-center leading-8">{item.desc}</h3>
            </div>
          ))}
        </div>
      </SectionWrapper>
  );
};

export default ServicesListSection;
